Subject: Re: [PATCH 0/4] Multiple worktrees vs. submodules fixes

From: Jens Lehmann <[email-masked]>
Date: Sun, 19 Oct 2014 21:34:33 +0200

Am 17.10.2014 um 11:14 schrieb Duy Nguyen:
> On Thu, Oct 16, 2014 at 12:09 AM, Junio C Hamano <[email-masked]> wrote:
>> Hmph.  I was hoping that the multiple-work-trees topic was ready for
>> 'next' by now, but we may want to wait to see how the interaction
>> with submodule plays out to have another chance of a clean reroll
>> before it happens.  This is a topic with large impact and is quite
>> intrusive code-wise, even though the intrusive parts are cleanly
>> done.  So we'd want to take more time to unleash it to the general
>> public than more usual small scale topics, anyway.
>
> Originally I wanted to get it merged without submodule support, but I
> failed to spot the local_repo_env problem and could have caused a
> regression for submodules. So yeah delaying the series does not sound
> bad. Not sure about the reroll (i.e. rewriting current patches). I
> think putting patches on top with explanation is better. But we can
> keep it in 'pu' and see if we really need to reroll.

I didn't look into your series in detail, but it looks to my like
excepting the .git/modules directory from sharing (by putting it
into local_repo_env array) and adding a test for that (just to be
sure that no modules directory shows up where it shouldn't) should
be sufficient to get your stuff merged without submodule support.
It might be better to handle submodule support in a follow up series.

Does that make sense?